aboutsummaryrefslogtreecommitdiff
path: root/t/keyids-complete.t
diff options
context:
space:
mode:
Diffstat (limited to 't/keyids-complete.t')
-rwxr-xr-xt/keyids-complete.t19
1 files changed, 19 insertions, 0 deletions
diff --git a/t/keyids-complete.t b/t/keyids-complete.t
new file mode 100755
index 0000000..1b3c3ab
--- /dev/null
+++ b/t/keyids-complete.t
@@ -0,0 +1,19 @@
+#!/bin/sh
+# Makes sure every key in arctica-*-gpg has an entry in the
+# keyids mapping file.
+set -e
+
+fail=0
+
+for keyring in arctica-maintainers-gpg arctica-keyring-gpg; do
+ cd $keyring
+ for key in 0x*; do
+ if ! grep -q "^$key " ../keyids; then
+ echo "$keyring: $key is not in keyids file."
+ fail=1
+ fi
+ done
+ cd ..
+done
+
+exit $fail